Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class XmlFilter

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.BaseContentFilter
            |
            +--oracle.portal.provider.v2.render.XmlFilter

All Implemented Interfaces:
  ContentFilter

public synchronized class XmlFilter
extends BaseContentFilter

Constructor Summary
`XmlFilter()`

Method Summary
`void` | `filterContent(PortletRenderRequest, java.io.InputStream)`
`void` | `filterContent(PortletRenderRequest, java.io.InputStream, java.lang.String)`
`java.lang.String` | `getStylesheet()`
`java.io.InputStream` | `getURLInputStream(java.lang.String)`
`java.io.ByteArrayInputStream` | `getXMLDocumentForHTMLContent(java.io.InputStream)`
`java.lang.String` | `processXML(java.io.InputStream)`
`void` | `setStylesheet(java.lang.String)`

Methods inherited from class oracle.portal.provider.v2.render.BaseContentFilter
`getBaseHRef, getInlineRendering, getRedirectUrlFieldName, getSecBaseHRef, getSecBaseHRef, getUrlContentType, getUseAuthLinks, getUsePortalStyle, setBaseHRef, setInlineRendering, setRedirectUrlFieldName, setRemoveClassProperty, setSecBaseHRef, setUrlContentType, setUseAuthLinks, setUsePortalStyle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlFilter

    public XmlFilter()

Method Detail

### setStylesheet

    public void setStylesheet(java.lang.String)

### getStylesheet

    public java.lang.String getStylesheet()

### getURLInputStream

    public java.io.InputStream getURLInputStream(java.lang.String)
                                          throws java.net.MalformedURLException,
                                                 java.io.IOException

    `java.net.MalformedURLException`
    `java.io.IOException`

### processXML

    public java.lang.String processXML(java.io.InputStream)
                                throws oracle.xml.parser.v2.XMLParseException,
                                       oracle.xml.parser.v2.XSLException,
                                       org.xml.sax.SAXException,
                                       java.io.IOException

    `oracle.xml.parser.v2.XMLParseException`
    `oracle.xml.parser.v2.XSLException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### filterContent

    public void filterContent(PortletRenderRequest,
                              java.io.InputStream)
                       throws java.io.IOException,
                              PortletException

    `java.io.IOException`
    `PortletException`

### filterContent

    public void filterContent(PortletRenderRequest,
                              java.io.InputStream,
                              java.lang.String)
                       throws java.io.IOException,
                              PortletException

    `java.io.IOException`
    `PortletException`

### getXMLDocumentForHTMLContent

    public java.io.ByteArrayInputStream getXMLDocumentForHTMLContent(java.io.InputStream)
                                                              throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.